turbo_uri = '/dev/serial/by-path/platform-fd500000.pcie-pci-0000:01:00.0-usb-0:1.1:1.0-port0'
press_uri = '/dev/serial/by-path/platform-fd500000.pcie-pci-0000:01:00.0-usb-0:1.2:1.0-port0'
itc_uri = '/dev/serial/by-path/platform-fd500000.pcie-pci-0000:01:00.0-usb-0:1.3:1.0-port0'


Node('dil5.psi.ch',
     'dil5 with state machine for condensing and removing',
     interface='tcp://5000',
     secondary = ['ws://8010']
)

Mod('io',
    'frappy_psi.logo.IO',
    '',
    ip_address = "192.168.0.3",
    tcap_client = 0x3000,
    tsap_server = 0x2000
)

Mod('V1',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1025.0",
    vm_address_output ="V1064.3"
)

Mod('V2',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.2",
    vm_address_output ="V1064.0",
)

Mod('V4',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.5",
    vm_address_output ="V1064.7",
)

Mod('V5',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.4",
    vm_address_output ="V1064.2"
)

Mod('V9',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.3",
    vm_address_output ="V404.1",
)

Mod('pump',
    'frappy_psi.logo.FluidMachines',
    'Pump',
    io = 'io',
    vm_address_output ="V414.1"
)

Mod('compressor',
    'frappy_psi.logo.FluidMachines',
    'Compressor',
    io = 'io',
    vm_address_output ="V400.1"
)

Mod('p2',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW0",
)

Mod('p1',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW2",
)

Mod('p5',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW4",
)

Mod('Druckluft',
    'frappy_psi.logo.Airpressure',
    'Airpressure state',
    io = 'io',
    vm_address ="VW6",
)



Mod('SF1',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V410.1",
)

Mod('SF2',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V406.1",
)

Mod('SF3',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V408.1",
)

Mod('SF4',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V412.1",
)

Mod('p2max',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW8",
)

Mod('pcond',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW10",
)

Mod('p5min',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    target = 200,
    vm_address ="VW12",
)

Mod('p5max',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    target = 900,
    vm_address ="VW14",
)


Mod('io_ls273',
    'frappy_psi.ls372.StringIO',
    'io for Ls372',
    uri='serial:///dev/ttyACM1?baudrate=57600+parity=odd+bytesize=7+stopbits=1',
    )
Mod('sw',
    'frappy_psi.ls372.Switcher',
    'channel switcher',
    io = 'io_ls273',
)
Mod('T_mix',
    'frappy_psi.ls372.TemperatureLoop',
    'mix temperature chan 5',
    channel = 5,
    switcher = 'sw',
)

Mod('T_ivc',
    'frappy_psi.ls372.TemperatureLoop',
    'mix temperature chan 2',
    channel = 2,
    switcher = 'sw',
)

Mod('T_still',
    'frappy_psi.ls372.TemperatureLoop',
    'mix temperature chan 3',
    channel = 3,
    switcher = 'sw',
)

Mod('T_sorb',
    'frappy_psi.ls372.TemperatureLoop',
    'mix temperature chan 1',
    channel = 1,
    switcher = 'sw',
)

Mod('T_cp',
    'frappy_psi.ls372.TemperatureLoop',
    'mix temperature chan 4',
    channel = 4,
    switcher = 'sw',
)

Mod('io_pfeiffer',
    'frappy_psi.pfeiffer_new.PfeifferProtocol',
    '',
    uri=f'serial://{press_uri}?baudrate=9600+parity=none+bytesize=8+stopbits=1',
)

Mod('io_turbo',
    'frappy_psi.pfeiffer_new.PfeifferProtocol',
    '',
    uri=f'serial://{turbo_uri}?baudrate=9600+parity=none+bytesize=8+stopbits=1',
)

Mod('p3',
    'frappy_psi.pfeiffer_new.RPT200',
    'Pressure in HPa',
    io = 'io_pfeiffer',
    address= 2,
)

Mod('p4',
    'frappy_psi.pfeiffer_new.RPT200',
    'Pressure in HPa',
    io = 'io_pfeiffer',
    address= 4
)

Mod('turbopump',
    'frappy_psi.pfeiffer_new.TCP400',
    'Pfeiffer Turbopump',
    io = 'io_turbo',
    address= 1
)

Mod('MV10',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV10'
)

Mod('MV13',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV13'
)

Mod('MV8',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV8'
)

Mod('MVB',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MVB'
)

Mod('MV2',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV2'
)

Mod('MV1',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV1'
)


Mod('MV3a',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV3a'
)

Mod('MV3b',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV3b'
)

Mod('GV1',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve GV1'
)

Mod('GV2',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve GV2'
)

Mod('MV14',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV14'
)

Mod('MV12',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV12'
)

Mod('MV11',

    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV11'
)

Mod('MV9',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV9'
)

Mod('itc',
    'frappy_psi.mercury.IO',
    'connection to MercuryiTC',
    uri=f'serial://{itc_uri}?baudrate=115200+parity=none+bytesize=8+stopbits=1',
)

Mod('T_still_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'still warmup temperature',
    slot='MB1.T1',
    io='itc',
)

Mod('T_one_K',
    'frappy_psi.mercury.TemperatureLoop',
    '1 K plate warmup temperature',
    slot='DB5.T1',
    io='itc',
)

Mod('T_mix_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'mix. chamber warmup temperature',
    slot='DB6.T1',
    io='itc',
)

Mod('T_ivc_wup',
    'frappy_psi.mercury.TemperatureLoop',
    'IVC warmup temperature',
    slot='DB7.T1',
    io='itc',
)

Mod('T_cond',
    'frappy_psi.mercury.TemperatureLoop',
    'condenser temperature',
    slot='DB8.T1',
    io='itc',
)

Mod('stateMachine',
    'frappy_psi.dilution_statemachine.DIL5',
    'Statemachine',
    
    condenseline_pressure = "p2",
    condense_valve = "V9",
    dump_valve = "V4",
    circulate_pump = "pump",
    compressor = "compressor",

    turbopump = "turbopump",
    condenseline_valve = "V1",
    circuitshort_valve = "V2",
    still_pressure = "p3",
    #ls372 = "res1",
    V5 = "V5",
    p1 = "p1",
    
    MV10 = 'MV10',
    MV13 ='MV13',
    MV8 = 'MV8',
    MVB = 'MVB',
    MV2 = 'MV2',

    MV1 = 'MV1',
    MV3a = 'MV3a',
    MV3b = 'MV3b',
    GV1 = 'GV1',
    MV14 = 'MV14',
    MV12 = 'MV12',
    MV11 = 'MV11',
    MV9 = 'MV9',
    GV2 = 'GV2',
    condensing_p_low  = 150,
    condensing_p_high = 250
)


